# definedfields

returns an index of list's defined fields

## Calling Sequence

    k = definedfields(lst)

## Arguments

lst

  a list, tlist or mlist variable.

k

  a vector of index.

## Description

If `lst` is a `list`, a `tlist`, a `mlist` `k = definedfields(lst)` returns in `k` the indices of the defined list fields. This function is useful because indexing undefined fields produces an error.

## Examples

    lst=list(1);lst(3)=5
    k=definedfields(lst)

    t=tlist('x');t(5)=4
    definedfields(t)

    m=mlist(['m','a','b']);m.b='sdfgfgd'
    definedfields(m)

## See Also

- list
- tlist
- mlist
- insertion
- extraction